function sale_widget(instance, widget) {
    "use strict";

    var QWeb = instance.web.qweb;

    widget.SaleWidget = instance.Widget.extend({
        template: 'WidgetSaleTmpl',
        events: {
            'click .new-sale': 'newSale',
            'click .new-budget': 'newBudget'
        },
        init: function (parent) {
            this._super(parent)
        },
        start: function () {
        },
        newSale: function (e) {
            this.do_action({
                type: 'ir.actions.act_window',
                res_model: 'sale.order',
                views: [[false, 'form']],
                target: 'current',
                context: {}
            });
        },
        newBudget: function (e) {
            this.do_action({
                type: 'ir.actions.act_window',
                res_model: 'sale.order',
                views: [[false, 'form']],
                target: 'current',
                context: {}
            });
        }
    })
}
